Subject: Re: bug#19162: emacs-24.4 ./configure --with-ns won't proceed on Yosemite 10.10.1

From: "Jan D." <[email-masked]>
Date: Mon, 24 Nov 2014 20:09:29 +0100

Do:

xcode-select —install

and run configure with —with-ns —without-x

	Jan D.

> 24 nov 2014 kl. 09:54 skrev Yen Chieh Chern <[email-masked]>:
> 
> Hello there,
> 
> I have the latest Xcode 6.1 installed and Mac OS X 10.10.1. When I compiled from source (git clone -b emacs-24 git://git.savannah.gnu.org/emacs.git <http://git.savannah.gnu.org/emacs.git>) with flag --with-ns, I got the following error,
> 
> ...
> 
> checking for X... libraries /usr/X11/lib, headers /usr/X11/include
> checking AppKit/AppKit.h usability... no
> checking AppKit/AppKit.h presence... no
> checking for AppKit/AppKit.h... no
> configure: error: `--with-ns' was specified, but the include files are missing or cannot be compiled.
> 
> I can confirm that AppKit.h exists under 
> 
> /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/System/Library/Frameworks/AppKit.framework/Versions/C/Headers/AppKit.h
> 
> I also tried the following as mentioned in bug#18779 but it won't help.
> 
> ln -s /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include /usr/include
> 
> I am not sure if it is due to 10.10.1 upgrade, please let me know if there is a workaround. 
> 
> Thanks,
> CYC